RagTime5TextInternal::PLC Struct Reference

a PLC of a RagTime5Text More...

## Public Member Functions

| PLC ()
| constructor

## Public Attributes

int | m_position
| the position in the text
int | m_fileType
| the file type
int | m_value
| an unknown value

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<<

## Detailed Description

a PLC of a RagTime5Text

## Constructor & Destructor Documentation

## PLC()

RagTime5TextInternal::PLC::PLC | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )

friend

operator<<

## Member Data Documentation

## m_fileType

int RagTime5TextInternal::PLC::m_fileType

the file type

Referenced by operator<<, PLC(), and RagTime5Text::readPLC().

## m_position

int RagTime5TextInternal::PLC::m_position

the position in the text

Referenced by operator<<, PLC(), and RagTime5Text::readPLC().

## m_value

int RagTime5TextInternal::PLC::m_value

an unknown value

Referenced by operator<<, PLC(), and RagTime5Text::readPLC().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx